commit:     31533f8acafdab2389c635afca070778ed4e0cec
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 28 19:35:36 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 28 20:15:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31533f8a

dev-python/pyscard: add 2.0.4

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyscard/Manifest             |  1 +
 dev-python/pyscard/pyscard-2.0.4.ebuild | 35 +++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pyscard/Manifest b/dev-python/pyscard/Manifest
index 91237a3e77b9..421c462fc1a8 100644
--- a/dev-python/pyscard/Manifest
+++ b/dev-python/pyscard/Manifest
@@ -1 +1,2 @@
 DIST pyscard-2.0.3.tar.gz 150092 BLAKE2B 
af7d58266044792987e6f9a2bc708ca043e32c4f87c8622b5662449254e7d6b630d5769479f3eaf59dc9a3a9fa294330953dea3383aee6c216f3d7dcfd26266a
 SHA512 
2f5c762fe4a7d8d3292f335fda58f8f2f88729ea6d33a508e5f461692fef8d006ccc9b761a78750b8416dc5c1f7c6b06c069e3f6e7b19d91621226590bfef708
+DIST pyscard-2.0.4.tar.gz 150740 BLAKE2B 
07849c265bfc764dd227bf041add7d24045f8f6669b596307d8a8644c847ee04a868b7df8e69139dc4d65f10b0406ef0083b833ed9e9dca5f11cb5d662d30801
 SHA512 
6eaae051f22079a73546c78f749dbeedaeee5f776e3f1718cf5ced3ed276d061e2210e2882f74bcaf75de9048fa8f512606a1b4ea0c0d4ecd0a5d6aeac482bc8

diff --git a/dev-python/pyscard/pyscard-2.0.4.ebuild 
b/dev-python/pyscard/pyscard-2.0.4.ebuild
new file mode 100644
index 000000000000..d2eab4a194fb
--- /dev/null
+++ b/dev-python/pyscard/pyscard-2.0.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Smart card support in python"
+HOMEPAGE="https://pyscard.sourceforge.io/
+       https://github.com/LudovicRousseau/pyscard
+       https://pypi.org/project/pyscard/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="sys-apps/pcsc-lite"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-lang/swig"
+
+distutils_enable_tests unittest
+
+pkg_postinst() {
+       optfeature "Gui support" dev-python/wxpython
+       optfeature "Support of remote readers with Pyro" dev-python/Pyro4
+}
+
+python_test() {
+       cd test || die
+       eunittest
+}

Reply via email to